import {httpApi} from "../request/httpApi";

export const ApprovalApi = (url,form, msg = true) => httpApi({
    url: '/api/blade-business/' + url,
    method: 'post',
    data: form
}, msg);

export const batchApproval = (form, msg = true) => httpApi({
    url: '/api/blade-business/archiveFile/batchApproval',
    method: 'post',
    data: form
}, msg);

//短信验证
export const sendNotice = (form, msg = true) => httpApi({
    url: '/api/blade-business/task/send-notice',
    method: 'post',
    params: form
}, msg);

//用户配置保存
export const userConfigSave = (form, msg = true) => httpApi({
    url: '/api/blade-business/defaultConfig/saveOrUpdate',
    method: 'post',
    data: form
}, msg);

//用户配置详情
export const userConfigInfo = (form, msg = true) => httpApi({
    url: '/api/blade-business/defaultConfig/detail',
    method: 'get',
    params: form
}, msg);
