import {httpApi} from "../../request/httpApi";

export default {
    //获取合同段划分树中被标记为首件的节点
    async queryWbsTreeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/treeContractFirst/queryContractWbsTreeFirstByContractIdAndType',
            method: 'get',
            params: form
        }, msg);
    },
    //分页数据
    async getPageData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/firstInformation/page',
            method: 'get',
            params: form
        }, msg)
    },
    //分页数据
    async getQueryPageData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/informationWriteQuery/page',
            method: 'post',
            data: form
        }, msg)
    },
}
